SDL_AppQuit_func(3type)

NAME
SDL_AppQuit_func - Function pointer typedef for SDL_AppQuit .

HEADER FILE
Defined in SDL3/SDL_init.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef void (SDLCALL *SDL_AppQuit_func)(void *appstate, SDL_AppResult result);

DESCRIPTION
These are used by SDL_EnterAppMainCallbacks . This mechanism operates behind the scenes for apps using the optional main callbacks. Apps that want to use this should just implement

SDL_AppEvent
 directly.

FUNCTION PARAMETERS

appstate
    an optional pointer, provided by the app in SDL_AppInit .

result
    the result code that terminated the app (success or failure).

AVAILABILITY
This datatype is available since SDL 3.2.0.